eoSelectFactory(3)

NAME
eoSelectFactory - EO Factory.An instance of the factory class to create selectors, that is, eoSelect objects.

SYNOPSIS

#include <eoSelectFactory.h>

Inherits eoFactory< eoSelect< EOT > >.

  Public Member Functions
virtual eoSelect< EOT > * make (std::istream &_is)
Another factory methods: creates an object from an std::istream, reading from it whatever is needed to create the object.

ctors and dtors
eoSelectFactory ()
constructor
virtual ~eoSelectFactory ()
destructor

eoObject methods
void printOn (std::ostream &_os) const
void readFrom (std::istream &_is)

Detailed Description

  template<class EOT> class eoSelectFactory< EOT >
EO Factory.An instance of the factory class to create selectors, that is, eoSelect objects. See also:
    eoSelect

Definition at line 39 of file eoSelectFactory.h.

Member Function Documentation

  template<class EOT> virtual eoSelect<EOT>* eoSelectFactory< EOT >::make (std::istream & _is) [inline, virtual]

Another factory methods: creates an object from an std::istream, reading from it whatever is needed to create the object.

Usually, the format for the std::istream will be\ objectType parameter1 parameter2 ... parametern\

Implements eoFactory< eoSelect< EOT > >.

Definition at line 56 of file eoSelectFactory.h.

Author

Generated automatically by Doxygen for EO from the source code.